(function( $ ) {
	'use strict';

	jQuery(document).ready(function () {

		/**
		 * Account
		 * @type {Object}
		 */
		jQuery('#mondialrelay_admin_compte').validate({
			rules: {
				mondialrelay_code_client: {
					required: true,
					minlength: 8,
					maxlength: 8,
				},
				mondialrelay_code_marque: {
					required: true,
				},
				mondialrelay_cle_privee: {
					required: true
				},
				mondialrelay_assurance: {
					required: true
				},
				mondialrelay_nb_results: {
					digits: true
				}
			},
			messages: {
				mondialrelay_code_client: {
					required: MRWP_i18n.message1,
					minlength: MRWP_i18n.message2,
					maxlength: MRWP_i18n.message2,
				},
				mondialrelay_code_marque: {
					required: MRWP_i18n.message3
				},
				mondialrelay_cle_privee: {
					required: MRWP_i18n.message4
				},
				mondialrelay_assurance: {
					required: MRWP_i18n.message5
				},
				mondialrelay_nb_results: {
					digits: MRWP_i18n.message6
				}
			}
		});

		/**
		 * Vendor
		 * @type {Object}
		 */
		jQuery('#mondialrelay_admin_vendeur').validate({
			rules: {
				mondialrelay_vendeur_adresse1: {
					required: true,
					maxlength: 32
				},
				mondialrelay_vendeur_adresse2: {
					maxlength: 32
				},
				mondialrelay_vendeur_adresse3: {
					required: true,
					maxlength: 32
				},
				mondialrelay_vendeur_adresse4: {
					maxlength: 32
				},
				mondialrelay_vendeur_cp: {
					required: true,
					maxlength: 5
				},
				mondialrelay_vendeur_ville: {
					required: true,
					maxlength: 26
				},
				mondialrelay_vendeur_pays: {
					required: true,
					maxlength: 2
				},
				mondialrelay_vendeur_tel: {
					required: true,
					maxlength: 13
				},
				mondialrelay_vendeur_tel2: {
					maxlength: 13
				},
				mondialrelay_vendeur_email: {
					maxlength: 70
				}
			},
			messages: {
				mondialrelay_vendeur_adresse1: {
					required: MRWP_i18n.message7,
					maxlength: MRWP_i18n.message8
				},
				mondialrelay_vendeur_adresse2: {
					maxlength: MRWP_i18n.message9
				},
				mondialrelay_vendeur_adresse3: {
					required: MRWP_i18n.message10,
					maxlength: MRWP_i18n.message11,
				},
				mondialrelay_vendeur_adresse4: {
					maxlength: MRWP_i18n.message24
				},
				mondialrelay_vendeur_cp: {
					required: MRWP_i18n.message12,
					maxlength: MRWP_i18n.message13
				},
				mondialrelay_vendeur_ville: {
					required: MRWP_i18n.message14,
					maxlength: MRWP_i18n.message15
				},
				mondialrelay_vendeur_pays: {
					required: MRWP_i18n.message16,
					maxlength: MRWP_i18n.message17
				},
				mondialrelay_vendeur_tel: {
					required: MRWP_i18n.message18,
					maxlength: MRWP_i18n.message19
				},
				mondialrelay_vendeur_tel2: {
					maxlength: MRWP_i18n.message19
				},
				mondialrelay_vendeur_email: {
					maxlength: MRWP_i18n.message20
				},
			}
		});

		/**
		 * Emails
		 * @type {Object}
		 */
		jQuery('#mondialrelay_admin_emails').validate({
			rules: {
				sujet_expedition: {
					required: true
				},
				email_expedition: {
					required: true
				}
			},
			messages: {
				sujet_expedition: {
					required: MRWP_i18n.message21
				},
				email_expedition: {
					required: MRWP_i18n.message22
				}
			}
		});

		/**
		 * Menu position
		 * @type {Object}
		 */
		jQuery('#mondialrelay_admin_menu_position').validate({
			rules: {
				mondialrelay_menu_position: {
					required: true
				}
			},
			messages: {
				mondialrelay_menu_position: {
					required: MRWP_i18n.message23
				}
			}
		});

	});


})( jQuery );
