<?php $mondialrelay_debug = get_option('mondialrelay_debug', class_MRWP_main::DEBUG);?>

<div class="wrap">
    <h1><?php _e("Expéditions Mondial Relay", 'mondialrelay-wordpress') ?></h1><br>

    <table class="wp-list-table widefat fixed posts striped MRWPtab" width="100%" cellspacing="0">
        <thead>
        <th class="manage-column column-order_status"><?php _e("Etat", 'mondialrelay-wordpress') ?></th>
        <th class="manage-colum column-order_date"><?php _e("#", 'mondialrelay-wordpress') ?></th>
        <th class="manage-colum column-order_date"><?php _e("Expédition", 'mondialrelay-wordpress') ?></th>
        <th class="manage-colum column-order_title"><?php _e("Client", 'mondialrelay-wordpress') ?></th>
        <th class="manage-colum column-shipping_address"><?php _e("Livraison", 'mondialrelay-wordpress') ?></th>
        <th class="manage-colum column-order_date"><?php _e("Date", 'mondialrelay-wordpress') ?></th>
        <th class="manage-colum column-actions"><?php _e("Étiquettes", 'mondialrelay-wordpress') ?></th>
        <th class="manage-colum column-actions"><?php _e("Suivi", 'mondialrelay-wordpress') ?></th>
        </thead>
        <tbody>
        <?php
        // Mondial Relay orders counter
        $nb_cmd = 0;

        $debug_appel = '';
        $debug_retour = '';
        $debug_except = '';

        foreach ( $myrows as $myrow ) {
            // Get the Mondial Relay order with expedition created
            $a_expedition = class_MRWP_db::get_meta_champ($myrow->ID, 'ExpeditionNum');
            $mr_shipping_code = class_MRWP_db::get_meta_champ($myrow->ID, 'Mondial Relay Shipping Code');
            if ($a_expedition != '' && isset($mr_shipping_code) && $mr_shipping_code != 'HMR' && $mr_shipping_code != '') {
                $nb_cmd++;
                // Get the status order in WooCommerce
                $post_status = str_replace('wp-', '', $myrow->post_status);
                // Get the status order in Mondial Relay system
                $expedition_statusid = class_MRWP_db::get_meta_champ($myrow->ID, 'ExpeditionStatus');
                $expedition_status = class_MRWP_helpers::etat_expedition($expedition_statusid);
                // Get the order metas
                $champs = class_MRWP_conf::get_order_meta();
                $champs = class_MRWP_db::get_meta_champs($myrow->ID, $champs);
                // Get the labels in SOAP
                // Get the globals Mondial Relay parameters
                $params_compte = class_MRWP_order::get_params_compte();

                // Get the Mondial Relay point
                $id_mondial_relay = class_MRWP_db::get_meta_champ($myrow->ID, 'Mondial Relay Parcel Shop ID');
                if ((isset($id_mondial_relay) && $id_mondial_relay)) {
                    $explode_id_mondial_relay = explode('-', $id_mondial_relay);
                    $liv_rel_pays_mondial_relay = $explode_id_mondial_relay[0];
                } else {
                    // Get the recipient parameters
                    $params_destinataire = class_MRWP_order::get_params_destinataire($myrow->ID);
                    $params_destinataire['_shipping_langage'] = class_MRWP_helpers::get_langue($params_destinataire['_shipping_country']);
                    $liv_rel_pays_mondial_relay = $params_destinataire['_shipping_langage'];
                }

                // Get the expedition
                $expedition_num = class_MRWP_db::get_meta_champ($myrow->ID, 'ExpeditionNum');
                // SOAP
                $client = new SoapClient(class_MRWP_main::MONDIALRELAY_WEBSERVICE);
                $params = array(
                    'Enseigne'       => $params_compte['mondialrelay_code_client'],
                    'Expeditions'    => $expedition_num,
                    'Langue'         => $liv_rel_pays_mondial_relay,
                );

                // Generation of the security key
                $code = implode("", $params);
                $code .= $params_compte['mondialrelay_cle_privee'];
                $params["Security"] = strtoupper(md5($code));

                if ($mondialrelay_debug) {
                    $debug_appel .= $params['Enseigne'] . ' ' . $params['Expeditions' ] . ' ' . $params['Langue'] . ' ' . $params["Security"] . ' ' . class_MRWP_main::MONDIALRELAY_WEBSERVICE . '<br>';
                }

                try{
                    $etiquette = $client->WSI3_GetEtiquettes($params)->WSI3_GetEtiquettesResult;
                } catch(Exception $e){
                    $debug_except .= $e;
                }


                if ($mondialrelay_debug) {
                    $debug_retour .= $etiquette->STAT . '<br>' . $etiquette->URL_PDF_A4 . '<br>' . $etiquette->URL_PDF_A5 . '<br>' . $etiquette->URL_PDF_10x15 . '<br><br>';
                }

                // Format 10x15
                //$etiquette->URL_PDF_10x15 = str_replace('A4', '10x15', $etiquette->URL_PDF_A4);
                ?>
                <tr>
                    <td class="order_status column-order_status"><mark class="<?php echo $expedition_status ?> tips" data-tip="<?php echo $expedition_status ?>"><?php echo $expedition_status ?></mark></td>
                    <td><a href="post.php?post=<?php echo $myrow->ID ?>&action=edit">#<?php echo $myrow->ID ?></a></td>
                    <td><?php echo $expedition_num ?></td>
                    <td><?php echo $champs['_shipping_first_name'] . ' ' . $champs['_shipping_last_name'] ?></td>
                    <td><?php echo $champs['_shipping_company'] . ', ' . $champs['_shipping_address_1'] . ', ' . $champs['_shipping_address_2'] . ' ' . $champs['_shipping_postcode'] . ' ' . $champs['_shipping_city'] . ', ' . $champs['_shipping_country'] ?></td>
                    <td><?php echo $myrow->datefr ?></td>
                    <td><a class="button" target="_blank" href="https://www.mondialrelay.fr/<?php echo $etiquette->URL_PDF_A4 ?>"><?php _e("A4", 'mondialrelay-wordpress') ?></a> <a class="button" target="_blank" href="https://www.mondialrelay.fr/<?php echo $etiquette->URL_PDF_A5 ?>"><?php _e("A5", 'mondialrelay-wordpress') ?></a> <a class="button" target="_blank" href="https://www.mondialrelay.fr/<?php echo $etiquette->URL_PDF_10x15 ?>"><?php _e("10x15", 'mondialrelay-wordpress') ?></a></td>
                    <td>
                        <a href="#TB_inline?width=600&height=420&inlineId=mondial_relay_tracking_thickbox" class="button button-default thickbox mondialrelay-tracking-button" title="<?php _e("Suivi d'expédition", 'mondialrelay-wordpress') ?>" data-order="<?php echo $myrow->ID ?>" data-expedition="<?php echo $expedition_num ?>" data-langue="<?php echo $liv_rel_pays_mondial_relay ?>"><?php _e("Suivi", 'mondialrelay-wordpress') ?></a>
                    </td>
                </tr>
            <?php
            } } ?>
        </tbody>
    </table>
    <br>
    <div class="tablenav bottom">
        <div class="tablenav-pages"><span class="displaying-num"><?php echo $nb_cmd ?> <?php _e("éléments", 'mondialrelay-wordpress') ?></span>

            <!-- PAGINATION -->
            <span class="pagination-links">
<?php
$nb_pages = ceil($nb_cmd / $pagination);
if ($page == 1) {
    echo '<a class="first-page disabled" title="';
    _e("Etat", 'mondialrelay-wordpress');
    echo '" href="#">‹</a>';
}
else {
    $precedent = $page - 1;
    echo '<a class="first-page disabled" title="';
    _e("Aller à la page pécédente", 'mondialrelay-wordpress');
    echo '" href="?page=recrutement-page&p=' . $precedent . '">‹</a>';
}
for ($i = 1; $i <= $nb_pages; $i++) {
    if ($i == $page)
        echo '<a class="disabled" href="#">'. $i .'</a> ';
    else
        echo '<a href="?page=recrutement-page&p=' . $i . '">'. $i .'</a> ';
}
if ($page == $nb_pages) {
    echo '<a class="last-page disabled" title="';
    _e("Aller à la page pécédente", 'mondialrelay-wordpress');
    echo '" href="#">›</a>';
}
else {
    $suivant = $page + 1;
    echo '<a class="last-page" title="';
    _e("Aller à la page pécédente", 'mondialrelay-wordpress');
    echo '" href="?page=recrutement-page&p=' . $suivant . '">›</a>';
}
?>
</span></div>
        <br class="clear">
    </div>

</div>

<?php
if ($mondialrelay_debug) { ?>
    <div id="log-viewer">
        <h2><?php _e("Données de débuggage à fournir au support", 'mondialrelay-wordpress') ?></h2>
        <p><?php
			class_MRWP_helpers::VarPrint($debug_appel);
            class_MRWP_helpers::VarPrint($debug_retour);
            class_MRWP_helpers::VarPrint($debug_except);
		?></p>
    </div>
<?php }?>

<?php require_once dirname(__FILE__) . '/MRWP-admin-tracking-view.php'; ?>

